/*
 * Direct3D9 cursors
 * Copyright (c) 2003, TransGaming Technologies Inc.
 */

#include "config.h"

#include "winbase.h"
#include "d3d9.h"
#include "wine/debug.h"

#include "d3d9_private.h"

WINE_DEFAULT_DEBUG_CHANNEL(ddraw);

HRESULT WINAPI Direct3DDevice9_SetCursorProperties(LPDIRECT3DDEVICE9 iface,
						   UINT XHotSpot,
						   UINT YHotSpot,
						   IDirect3DSurface9* pCursorBitmap)
{
  /* ICOM_THIS(IDirect3DDevice9Impl, iface); */
  FIXME("(%p)->(%d,%d,%p): stub\n", iface, XHotSpot, YHotSpot, pCursorBitmap);
  return D3D_OK;
}

VOID WINAPI Direct3DDevice9_SetCursorPosition(LPDIRECT3DDEVICE9 iface,
					      UINT XScreenSpace,
					      UINT YScreenSpace,
					      DWORD Flags)
{
  /* ICOM_THIS(IDirect3DDevice9Impl, iface); */
  TRACE("(%p)->(%d,%d,%ld)\n", iface, XScreenSpace, YScreenSpace, Flags);
}

BOOL WINAPI Direct3DDevice9_ShowCursor(LPDIRECT3DDEVICE9 iface,
				       BOOL bShow)
{
  /* ICOM_THIS(IDirect3DDevice9Impl, iface); */
  FIXME("(%p)->(%d): stub\n", iface, bShow);
  return FALSE;
}
